
/*************************************************************************

  APU R 2.0

  variable.c

  (c) 1996, Regents of the University of California. All rights reserved. 

  Author : Ashutosh Rege (rege@cs.berkeley.edu)

*************************************************************************/
  
#include "slp.h"
#include "variable.h"

Slp slp_of(const Variable&); 

void Variable::slp(Slp s) {
  if (slpPtr_of() == 0) { 
    ((Variable_node*)frep)->slp = new Slp; 
    *(((Variable_node*)frep)->slp) = s; 
  }
  else *(((Variable_node*)frep)->slp) = s; 
}

Slp Variable::slp_of() const {
  if (frep == 0) 
    cout << "Variable.name() : Illegal Variable call - no frep\n";
  else return(*(((Variable_node*)frep)->slp));
}

Slp slp_of(const Variable& var) {
  return(var.slp_of());
}

ostream& 
operator << (ostream& os, const Variable& var) {
  os << var.name();  
}

#include "bigint.h"

void temp() {
  Array<Field_element> tt = Array<Field_element>(3); 
  add_to_array(tt,tt[0]);
}
