
/*************************************************************************

  APU R 2.0

  bigint_smallint.h

  (c) 1996, Regents of the University of California. All rights reserved. 

  Author : Ashutosh Rege (rege@cs.berkeley.edu)

*************************************************************************/
  
#if !defined(BIGINT_SMALLINT_HDR) 
#define BIGINT_SMALLINT_HDR

BigInt operator+ (const BigInt& , const SmallInt& ); 
BigInt operator+ (const SmallInt& , const BigInt& ); 
BigInt operator- (const BigInt& , const SmallInt& ); 
BigInt operator- (const SmallInt& , const BigInt& ); 
BigInt operator* (const BigInt& , const SmallInt& ); 
BigInt operator* (const SmallInt& , const BigInt& ); 
BigInt operator/ (const BigInt& , const SmallInt& ); 
BigInt operator/ (const SmallInt& , const BigInt& ); 
BigInt operator% (const BigInt& , const SmallInt& ); 
BigInt operator% (const SmallInt& , const BigInt& ); 

#endif
