
/*************************************************************************

  APU R 2.0

  bigrat_smallint.h

  (c) 1996, Regents of the University of California. All rights reserved. 

  Author : Ashutosh Rege (rege@cs.berkeley.edu)

*************************************************************************/
  
#if !defined(BIGRAT_SMALLINT_HDR) 
#define BIGRAT_SMALLINT_HDR

BigRat operator+ (const SmallInt& , const BigRat& ); 
BigRat operator+ (const BigRat& , const SmallInt& ); 
BigRat operator- (const SmallInt& , const BigRat& ); 
BigRat operator- (const BigRat& , const SmallInt& ); 
BigRat operator* (const SmallInt& , const BigRat& ); 
BigRat operator* (const BigRat& , const SmallInt& ); 
BigRat operator/ (const SmallInt& , const BigRat& ); 
BigRat operator/ (const BigRat& , const SmallInt& ); 

#endif
