
/*************************************************************************

  APU R 2.0

  slp_det.h

  (c) 1996, Regents of the University of California. All rights reserved. 

  Author : Ashutosh Rege (rege@cs.berkeley.edu)

*************************************************************************/
  
#if !defined(SLP_DET_HDR) 
#define SLP_DET_HDR
#include "slp.h"
#include "matrix.h"

Slp cofactor(const Matrix<Slp>&,int,int);  
Matrix<Slp> minor(const Matrix<Slp>&,int,int); 
int ludecomp(Matrix<Slp>); 
Slp ludecomp_det(Matrix<Slp>); 

#endif
