
/*************************************************************************

  APU R 2.0

  field_otherop.c

  (c) 1996, Regents of the University of California. All rights reserved. 

  Author : Ashutosh Rege (rege@cs.berkeley.edu)

*************************************************************************/
  
#include "field.h"

#if MEMORY_MANAGER

Field_element& Field_element::operator=(const Field_element& rvalue) {
  Assign op; 
  if (type == NOTYPE) {
    if (rvalue.type != SLP) {
      type = rvalue.type; frep = rvalue.frep;
    }
    else other_binary_op3(op,*this,rvalue);
  }
  else if (type == SLP) {
    type = rvalue.type; 
    other_binary_op2(op,(Slp&)(*this),rvalue);
  }
  else if (type == rvalue.type) {
    type = rvalue.type; frep = rvalue.frep;
  }
  else Assign(*this,rvalue);
  return(*this); 
}

#endif
