
/*************************************************************************

  APU R 2.0

  bigfloat_bigint.h

  (c) 1996, Regents of the University of California. All rights reserved. 

  Author : Ashutosh Rege (rege@cs.berkeley.edu)

*************************************************************************/
  
#if !defined(BIGFLOAT_BIGINT_HDR) 
#define BIGFLOAT_BIGINT_HDR

#include "bigfloatpt.h"
#include "bigint.h"

BigFloat operator+ (const BigInt& , const BigFloat& ); 
BigFloat operator+ (const BigFloat& , const BigInt& ); 
BigFloat operator- (const BigInt& , const BigFloat& ); 
BigFloat operator- (const BigFloat& , const BigInt& ); 
BigFloat operator* (const BigInt& , const BigFloat& ); 
BigFloat operator* (const BigFloat& , const BigInt& ); 
BigFloat operator/ (const BigInt& , const BigFloat& ); 
BigFloat operator/ (const BigFloat& , const BigInt& ); 

#endif
