/*************************************************************************

  APU R 2.0

  intmodp_mintmodp.h

  (c) 1996, Regents of the University of California. All rights reserved. 

  Author : Ashutosh Rege (rege@cs.berkeley.edu)

*************************************************************************/
  

#if !defined (INTMODP_MINTMODP_HDR) 
#define INTMODP_MINTMODP_HDR 

IntModp operator+ (const IntModp& , const MultiIntModp& ); 
IntModp operator+ (const MultiIntModp& , const IntModp& ); 
IntModp operator- (const IntModp& , const MultiIntModp& ); 
IntModp operator- (const MultiIntModp& , const IntModp& ); 
IntModp operator* (const IntModp& , const MultiIntModp& ); 
IntModp operator* (const MultiIntModp& , const IntModp& ); 
IntModp operator/ (const IntModp& , const MultiIntModp& ); 
IntModp operator/ (const MultiIntModp& , const IntModp& ); 

#endif
