/*************************************************************************

  APU R 2.0

  mintmodp_bigint.h

  (c) 1996, Regents of the University of California. All rights reserved. 

  Author : Ashutosh Rege (rege@cs.berkeley.edu)

*************************************************************************/
  

#if !defined (MINTMODP_BIGINT_HDR) 
#define MINTMODP_BIGINT_HDR 

MultiIntModp operator+ (const MultiIntModp& , const BigInt& ); 
MultiIntModp operator+ (const BigInt& , const MultiIntModp& ); 
MultiIntModp operator- (const MultiIntModp& , const BigInt& ); 
MultiIntModp operator- (const BigInt& , const MultiIntModp& ); 
MultiIntModp operator* (const MultiIntModp& , const BigInt& ); 
MultiIntModp operator* (const BigInt& , const MultiIntModp& ); 
MultiIntModp operator/ (const MultiIntModp& , const BigInt& ); 
MultiIntModp operator/ (const BigInt& , const MultiIntModp& ); 
MultiIntModp operator% (const MultiIntModp& , const BigInt& ); 
MultiIntModp operator% (const BigInt& , const MultiIntModp& ); 

#endif
