/*************************************************************************

  APU R 2.0

  mintmodp_smallint.h

  (c) 1996, Regents of the University of California. All rights reserved. 

  Author : Ashutosh Rege (rege@cs.berkeley.edu)

*************************************************************************/
  

#if !defined (MINTMODP_SMALLINT_HDR) 
#define MINTMODP_SMALLINT_HDR 

MultiIntModp operator+ (const MultiIntModp& , const SmallInt& ); 
MultiIntModp operator+ (const SmallInt& , const MultiIntModp& ); 
MultiIntModp operator- (const MultiIntModp& , const SmallInt& ); 
MultiIntModp operator- (const SmallInt& , const MultiIntModp& ); 
MultiIntModp operator* (const MultiIntModp& , const SmallInt& ); 
MultiIntModp operator* (const SmallInt& , const MultiIntModp& ); 
MultiIntModp operator/ (const MultiIntModp& , const SmallInt& ); 
MultiIntModp operator/ (const SmallInt& , const MultiIntModp& ); 
MultiIntModp operator% (const MultiIntModp& , const SmallInt& ); 
MultiIntModp operator% (const SmallInt& , const MultiIntModp& ); 

#endif
