
/*************************************************************************

  APU R 2.0

  poly_io.h

  (c) 1996, Regents of the University of California. All rights reserved. 

  Author : Ashutosh Rege (rege@cs.berkeley.edu)

*************************************************************************/
  

#if !defined(POLY_IO_HDR) 
#define POLY_IO_HDR

#include "polynomial.h"
#include "list.h"
#include "slp.h"


Polynomial read_poly(ifstream&,int=SMALLINT,int=INTMODP,int=INTMODP,bool=true);
Slp read_polyToSlp (ifstream&,int,int);
List<Polynomial> read_polylist(ifstream&,int,int=SMALLINT,int=INTMODP,
int=INTMODP,bool=true);
Array<Polynomial> read_polyarray(ifstream&,int,int=SMALLINT,int=INTMODP,
int=INTMODP,bool=true);

#endif
