
/*************************************************************************

  APU R 2.0

  slp_eval.h

  (c) 1996, Regents of the University of California. All rights reserved. 

  Author : Ashutosh Rege (rege@cs.berkeley.edu)

*************************************************************************/
  
#if !defined(SLP_EVAL_HDR) 
#define SLP_EVAL_HDR
#include "slp.h"
#include "matrix.h"

Field_element eval_multimodp(const Slp&,char*,const Field_element&,int*);
Field_element evaluate_modp2a(const Slp&,int*,char*,Field_element,char* = ""); 
Field_element evaluate_modp2b(const Slp&,char*,Field_element,char* = ""); 
Field_element evaluate_modp2c(const Slp&,int*,char* = "");
Field_element evaluate_modp2d(const Slp&,char* = "");

#endif
