/*************************************************************************

  APU R 2.0

  slp_otherop.c

  (c) 1996, Regents of the University of California. All rights reserved. 

  Author : Ashutosh Rege (rege@cs.berkeley.edu)

*************************************************************************/
  
#include "slp.h"

#if MEMORY_MANAGER

Slp& Slp::operator=(const Slp& rvalue) {
    //ref_count_inc(((Slp_node*)(rvalue.frep))->mem_info);
  if (rvalue.frep != 0) 
    (((Slp_node*)(rvalue.frep))->mem_info).ref_count_inc();
  clear(); 
  type = rvalue.type; 
  frep = rvalue.frep;
}

Slp::~Slp() {
  clear();
}


#endif

